//------
//*****************************************************************************

Include("presto\\event.cs");

function KpackCount::Update()
{
  	File::delete("config\\KpackCount.cs");

  	// Rewrite stats file 
  
  	export("$KpackCount::NextRec", "config\\KpackCount.cs");
  	export("$KpackCount::Name*", "config\\KpackCount.cs", True);
  	export("$Kills::*", "config\\KpackCount.cs", True);
	echo("File written");
  
}

function KpackCount::ReadFile()
{
  	echo("Attempting to read file");
  	%clientname = client::getname(getManagerId());
  	$KpackCount::ClientNum = "";
  	$KpackCount::NextRec = "";


	//Check for existence of previous stats
  	
	exec("KpackCount.cs");

  	//Check for existence of previous records for this client name
  	
	for(%i=0; %i<$KpackCount::NextRec; %i++)
  	{
      		if($KpackCount::Name[%i] == %clientname)
        	$KpackCount::ClientNum = %i;
  	}

  	//If the name isn't found, create a new record
  
	if($KpackCount::ClientNum == "")
  	{
	    	echo("Creating new record");
    
		//This is the first record. Initialize NextRec
    	
		if($KpackCount::NextRec == "")
    		{
      			$KpackCount::NextRec = 0;
      			echo("Creating first record");
      			KpackCount::Update();
    	
			// Since this only gets called once suck in the old scores and
			// put them in new variables

			$KpackCount::ClientNum = $KpackCount::NextRec;
  			$KpackCount::NextRec++;
  			$KpackCount::Name[$KpackCount::ClientNum] = %clientname;

	
  			if(isFile("config\\disckills.cs"))
				{
  				exec("disckills.cs");
				export("$Disc::Kills", "config\\disckills.cs", True);
				$Kills::Disc[$KpackCount::ClientNum] = ($Disc::Kills);
		  		File::delete("config\\disckills.cs");
				File::delete("config\\kpack\\disct.cs");			
				}
  			else
				{
				$Kills::Disc[$KpackCount::ClientNum] = 0;
  				}
  		
			if(isFile("config\\blasterkills.cs"))
				{
  				exec("blasterkills.cs");
				export("$Blaster::Kills", "config\\blasterkills.cs", True);
				$Kills::Blaster[$KpackCount::ClientNum] = ($Blaster::Kills);
		  		File::delete("config\\blasterkills.cs");
				File::delete("config\\kpack\\blasterct.cs");
				}	
  			else
				{
				$Kills::Blaster[$KpackCount::ClientNum] = 0;
  				}

  		
			if(isFile("config\\vechiclekills.cs"))
				{
  				exec("vechiclekills.cs");
				export("$Vechicle::Kills", "config\\vechiclekills.cs", True);
				$Kills::Vehicle[$KpackCount::ClientNum] = ($Vechicle::Kills);
		  		File::delete("config\\vechiclekills.cs");
				File::delete("config\\kpack\\vechiclect.cs");
				}
  			else
				{
				$Kills::Vehicle[$KpackCount::ClientNum] = 0;
  				}


  			if(isFile("config\\elfkills.cs"))
				{
  				exec("elfkills.cs");
				export("$Elf::Kills", "config\\elfkills.cs", True);
				$Kills::Elf[$KpackCount::ClientNum] = ($Elf::Kills);
		  		File::delete("config\\elfkills.cs");
				File::delete("config\\kpack\\elfct.cs");
				}
  			else
				{
				$Kills::Elf[$KpackCount::ClientNum] = 0;
  				}

  		
			if(isFile("config\\concussionkills.cs"))
				{
  				exec("concussionkills.cs");
				export("$Concussion::Kills", "config\\concussionkills.cs", True);
				$Kills::Concussion[$KpackCount::ClientNum] = ($Concussion::Kills);
		  		File::delete("config\\concussionkills.cs");
				File::delete("config\\kpack\\concussionct.cs");
				}
  			else
				{
				$Kills::Concussion[$KpackCount::ClientNum] = 0;
  				}


  			if(isFile("config\\suicidekills.cs"))
				{
  				exec("suicidekills.cs");
				export("$Suicide::Kills", "config\\suicidekills.cs", True);
				$Kills::Suicide[$KpackCount::ClientNum] = ($Suicide::Kills);
		  		File::delete("config\\suicidekills.cs");
				File::delete("config\\kpack\\suicidect.cs");
				}
  			else
				{
				$Kills::Suicide[$KpackCount::ClientNum] = 0;
  				}

	
  			if(isFile("config\\sniperkills.cs"))
				{
  				exec("sniperkills.cs");
				export("$Sniper::Kills", "config\\sniperkills.cs", True);
				$Kills::Sniper[$KpackCount::ClientNum] = ($Sniper::Kills);
		  		File::delete("config\\sniperkills.cs");
				File::delete("config\\kpack\\sniperct.cs");
				}
  			else
				{
				$Kills::Sniper[$KpackCount::ClientNum] = 0;
  				}
  		

			if(isFile("config\\plasmakills.cs"))
				{
  				exec("plasmakills.cs");
				export("$Plasma::Kills", "config\\plasmakills.cs", True);
				$Kills::Plasma[$KpackCount::ClientNum] = ($Plasma::Kills);
		  		File::delete("config\\plasmakills.cs");
				File::delete("config\\kpack\\plasmact.cs");
				}
  			else
				{
				$Kills::Plasma[$KpackCount::ClientNum] = 0;
  				}


  			if(isFile("config\\mortarkills.cs"))
				{
  				exec("mortarkills.cs");
				export("$Mortar::Kills", "config\\mortarkills.cs", True);
				$Kills::Mortar[$KpackCount::ClientNum] = ($Mortar::Kills);
		  		File::delete("config\\mortarkills.cs");
				File::delete("config\\kpack\\mortarct.cs");
				}
  			else
				{
				$Kills::Mortar[$KpackCount::ClientNum] = 0;
  				}


  			if(isFile("config\\teammatekills.cs"))
				{
  				exec("teammatekills.cs");
				export("$Teammate::Kills", "config\\teammatekills.cs", True);
				$Kills::Teammate[$KpackCount::ClientNum] = ($Teammate::Kills);
		  		File::delete("config\\teammatekills.cs");
				File::delete("config\\kpack\\teammatect.cs");
				}
  			else
				{
				$Kills::Teammate[$KpackCount::ClientNum] = 0;
  				}


  			if(isFile("config\\chainkills.cs"))
				{
  				exec("chainkills.cs");
				export("$Chain::Kills", "config\\chainkills.cs", True);
				$Kills::Chain[$KpackCount::ClientNum] = ($Chain::Kills);
		  		File::delete("config\\chainkills.cs");
				File::delete("config\\kpack\\chainct.cs");
				}
  			else
				{
				$Kills::Chain[$KpackCount::ClientNum] = 0;
  				}


  			if(isFile("config\\capturekills.cs"))
				{
  				exec("capturekills.cs");
				export("$Capture::Kills", "config\\capturekills.cs", True);
				$Kills::Capture[$KpackCount::ClientNum] = ($Capture::Kills);
		  		File::delete("config\\capturekills.cs");
				File::delete("config\\kpack\\capturect.cs");
				}
  			else
				{
				$Kills::Capture[$KpackCount::ClientNum] = 0;
  				}

  			$Kills::Return[$KpackCount::ClientNum] = 0;
			}

    		else
    			{
    			$KpackCount::ClientNum = $KpackCount::NextRec;
    			$KpackCount::NextRec++;
    			$KpackCount::Name[$KpackCount::ClientNum] = %clientname;
    			//$Kills::Chain[$KpackCount::ClientNum] = 0;
				$Kills::Blaster[$KpackCount::ClientNum] = 0;
    			$Kills::Concussion[$KpackCount::ClientNum] = 0;
    			$Kills::Disc[$KpackCount::ClientNum] = 0;
    			$Kills::Capture[$KpackCount::ClientNum] = 0;
    			$Kills::Elf[$KpackCount::ClientNum] = 0;
    			$Kills::Mortar[$KpackCount::ClientNum] = 0;
    			$Kills::Plasma[$KpackCount::ClientNum] = 0;
    			$Kills::Laser[$KpackCount::ClientNum] = 0;
    			$Kills::Suicide[$KpackCount::ClientNum] = 0;
    			$Kills::Teammate[$KpackCount::ClientNum] = 0;
    			$Kills::Vehicle[$KpackCount::ClientNum] = 0;
  				$Kills::Return[$KpackCount::ClientNum] = 0;
				$kills::Impact[$KpackCount::ClientNum] = 0;
				$kills::Bullet[$KpackCount::ClientNum] = 0;
				$kills::Explosion[$KpackCount::ClientNum] = 0;
				$kills::Crush[$KpackCount::ClientNum] = 0;
				$kills::Missile[$KpackCount::ClientNum] = 0;
				$kills::Sniper[$KpackCount::ClientNum] = 0;
				$kills::BoomStick[$KpackCount::ClientNum] = 0;
				$kills::Flash[$KpackCount::ClientNum] = 0;
				$kills::Nuke[$KpackCount::ClientNum] = 0;
				$kills::HBlaster[$KpackCount::ClientNum] = 0;
    			}
  		}
  	Event::Trigger(eventStatsRead);
  	echo("File has been read, FYI");
}


function topprint(%port, %thing)
{//remotetp(2048, "<jc>" @ %thing, 4);
}




function ImpactTronics(%client, %msg) 
	{
	if(%client != 0) return;
	
	if(%client != 0) return; 
	if ($PCFG::Gender == "FEMALE") 
		{ 
		$TEMP::Gender = "her"; 
		}
   	else 	
		{ 
		$TEMP::Gender = "his"; 
		}

if (String::findSubStr(%msg, $PCFG::Name @ " makes tracks on ") != -1)
     		{
     		$Kills::Impact[$KpackCount::ClientNum]++;  
    		if ($Impacttrack == 1 || $Impacttrack == "") 
			{ 
			say::public(tauntHowdThatFeel, "*{H}* Impact #" @ $Kills::Impact[$KpackCount::ClientNum]); 
			TopPrint(2048, "Impact Victim #" @ $Kills::Impact[$KpackCount::ClientNum]);
 			}
     		KpackCount::Update();
    		}
if (String::findSubStr(%msg, " should have gotten the license number from " @ $PCFG::Name @ ".") != -1)
     		{
     		$Kills::Impact[$KpackCount::ClientNum]++;  
    		if ($Impacttrack == 1 || $Impacttrack == "") 
			{ 
			say::public(tauntHowdThatFeel, "*{H}* Impact #" @ $Kills::Impact[$KpackCount::ClientNum]); 
			TopPrint(2048, "Impact Victim #" @ $Kills::Impact[$KpackCount::ClientNum]);
 			}
     		KpackCount::Update();
    		}
if (String::findSubStr(%msg, " got hit and run by " @ $PCFG::Name @ ".") != -1)
     		{
     		$Kills::Impact[$KpackCount::ClientNum]++;  
    		if ($Impacttrack == 1 || $Impacttrack == "") 
			{ 
			say::public(tauntHowdThatFeel, "*{H}* Impact #" @ $Kills::Impact[$KpackCount::ClientNum]); 
			TopPrint(2048, "Impact Victim #" @ $Kills::Impact[$KpackCount::ClientNum]);
 			}
     		KpackCount::Update();
    		}
if (String::findSubStr(%msg, $PCFG::Name @ " lays tread-marks on ") != -1)
     		{
     		$Kills::Impact[$KpackCount::ClientNum]++;  
    		if ($Impacttrack == 1 || $Impacttrack == "") 
			{ 
			say::public(tauntDance, "*{H}* Impact #" @ $Kills::Impact[$KpackCount::ClientNum]); 
			TopPrint(2048, "Impact Victim #" @ $Kills::Impact[$KpackCount::ClientNum]);
 			}
     		KpackCount::Update();
    		}
	}

function BulletTronics(%client, %msg) 
	{
	
	if(%client != 0) return; 
	if ($PCFG::Gender == "FEMALE") 
		{ 
		$TEMP::Gender = "her"; 
		}
   	else 	
		{ 
		$TEMP::Gender = "his"; 
		}
if (String::findSubStr(%msg, $PCFG::Name @ " mows down ") != -1 && String::findSubStr(%msg, " teammate,") == 0)
			{
     		$Kills::Bullet[$KpackCount::ClientNum]++;  
    		if ($Bullettrack == 1 || $Bullettrack == "") 
			{ 
			say::public(tauntDance, "*{H}* Bullet #" @ $Kills::Bullet[$KpackCount::ClientNum]); 
			TopPrint(2048, "Bullet Victim #" @ $Kills::Bullet[$KpackCount::ClientNum]);
 			}
     		KpackCount::Update();
    		}
if (String::findSubStr(%msg, " blows " @ $PCFG::Name @ " away. ") != -1)
			{
     		$Kills::Bullet[$KpackCount::ClientNum]++;  
    		if ($Bullettrack == 1 || $Bullettrack == "") 
			{ 
			say::public(tauntDance, "*{H}* Bullet #" @ $Kills::Bullet[$KpackCount::ClientNum]); 
			TopPrint(2048, "Bullet Victim #" @ $Kills::Bullet[$KpackCount::ClientNum]);
 			}
     		KpackCount::Update();
    		} 
if (String::findSubStr(%msg, $PCFG::Name @ " fortifies ") != -1 && String::findSubStr(%msg, " with " @ $TEMP::Gender @ " daily dose of iron.") != -1)
			{
     		$Kills::Bullet[$KpackCount::ClientNum]++;  
    		if ($Bullettrack == 1 || $Bullettrack == "") 
			{ 
			say::public(tauntDance, "*{H}* Bullet #" @ $Kills::Bullet[$KpackCount::ClientNum]); 
			TopPrint(2048, "Bullet Victim #" @ $Kills::Bullet[$KpackCount::ClientNum]);
 			}
     		KpackCount::Update();
    		} 


if (String::findSubStr(%msg, $PCFG::Name @ " gives") != -1 && String::findSubStr(%msg, "an overdose of lead.") != -1)
     		{
     		$Kills::Bullet[$KpackCount::ClientNum]++;  
    		if ($Bullettrack == 1 || $Bullettrack == "") 
			{ 
			say::public(tauntDance, "*{H}* Bullet #" @ $Kills::Bullet[$KpackCount::ClientNum]); 
			TopPrint(2048, "Bullet Victim #" @ $Kills::Bullet[$KpackCount::ClientNum]);
 			}
     		KpackCount::Update();
    		} 
if (String::findSubStr(%msg, $PCFG::Name @ " riddles ") != -1 && String::findSubStr(%msg, " full of holes.") != -1)
     		{
     		$Kills::Bullet[$KpackCount::ClientNum]++;  
    		if ($Bullettrack == 1 || $Bullettrack == "") 
			{ 
			say::public(tauntComeGetSome, "*{H}* Bullet #" @ $Kills::Bullet[$KpackCount::ClientNum]); 
			TopPrint(2048, "Bullet Victim #" @ $Kills::Bullet[$KpackCount::ClientNum]);
 			}
     		KpackCount::Update();
    		}
if (String::findSubStr(%msg, $PCFG::Name @ " guns down ") != -1)
     		{
     		$Kills::Bullet[$KpackCount::ClientNum]++;  
    		if ($Bullettrack == 1 || $Bullettrack == "") 
			{ 
			say::public(tauntComeGetSome, "*{H}* Bullet #" @ $Kills::Bullet[$KpackCount::ClientNum]); 
			TopPrint(2048, "Bullet Victim #" @ $Kills::Bullet[$KpackCount::ClientNum]);
 			}
     		KpackCount::Update();
    		}
	}


function ExplosionTronics(%client, %msg) 
	{
	
	if(%client != 0) return; 
	if ($PCFG::Gender == "FEMALE") 
		{ 
		$TEMP::Gender = "her"; 
		}
   	else 	
		{ 
		$TEMP::Gender = "his"; 
		}
if (String::findSubStr(%msg, " catches a death throw from " @ $PCFG::Name @ ".") != -1)
     		{
     		$Kills::Explosion[$KpackCount::ClientNum]++;  
    		if ($Explosiontrack == 1 || $Explosiontrack == "") 
			{ 
			say::public(tauntComeGetSome, "*{H}* Explosion #" @ $Kills::Explosion[$KpackCount::ClientNum]); 
			TopPrint(2048, "Explosion Victim #" @ $Kills::Explosion[$KpackCount::ClientNum]);
 			}
     		KpackCount::Update();
    		}
if (String::findSubStr(%msg, $PCFG::Name @ " bounces a frisbee off of  ") != -1 && String::findSubStr(%msg, "'s head.") != -1)
     		{
     		$Kills::Explosion[$KpackCount::ClientNum]++;  
    		if ($Explosiontrack == 1 || $Explosiontrack == "") 
			{ 
			say::public(tauntDance, "*{H}* Explosion #" @ $Kills::Explosion[$KpackCount::ClientNum]); 
			TopPrint(2048, "Explosion Victim #" @ $Kills::Explosion[$KpackCount::ClientNum]);
 			}
     		KpackCount::Update();
    		}
if (String::findSubStr(%msg, $PCFG::Name @ "'s shot caught") != -1 && String::findSubStr(%msg, " by surprise.") != -1)
     		{
     		$Kills::Explosion[$KpackCount::ClientNum]++;  
    		if ($Explosiontrack == 1 || $Explosiontrack == "") 
			{ 
			say::public(tauntComeGetSome, "*{H}* Explosion #" @ $Kills::Explosion[$KpackCount::ClientNum]); 
			TopPrint(2048, "Explosion Victim #" @ $Kills::Explosion[$KpackCount::ClientNum]);
 			}
     		KpackCount::Update();
    		}
if (String::findSubStr(%msg, " falls victim to " @ $PCFG::Name @ "'s death blow.") != -1)
     		{
     		$Kills::Explosion[$KpackCount::ClientNum]++;  
    		if ($Explosiontrack == 1 || $Explosiontrack == "") 
			{ 
			say::public(tauntDance, "*{H}* Explosion #" @ $Kills::Explosion[$KpackCount::ClientNum]); 
			TopPrint(2048, "[})ragon Explosion Victim #" @ $Kills::Explosion[$KpackCount::ClientNum]);
 			}
     		KpackCount::Update();
    		}
	}


function CrushTronics(%client, %msg) 
	{
	
	if(%client != 0) return; 
	if ($PCFG::Gender == "FEMALE") 
		{ 
		$TEMP::Gender = "her"; 
		}
   	else 	
		{ 
		$TEMP::Gender = "his"; 
		}
if (String::findSubStr(%msg, $PCFG::Name @ "-Juice on sale thanks to that press.") != -1)
     		{
     		$Kills::Crush[$KpackCount::ClientNum]++;  
    		if ($Crushtrack == 1 || $Crushtrack == "") 
			{ 
			say(0, "Elevator Accident #" @ $Kills::Crush[$KpackCount::ClientNum]); 
			TopPrint(2048, "Elevator Accident #" @ $Kills::Crush[$KpackCount::ClientNum]);
 			}
     		KpackCount::Update();
    		}
if (String::findSubStr(%msg, $PCFG::Name @ " is crushed like a bug.") != -1)
     		{
     		$Kills::Crush[$KpackCount::ClientNum]++;  
    		if ($Crushtrack == 1 || $Crushtrack == "") 
			{ 
			say(0, "Elevator Accident #" @ $Kills::Crush[$KpackCount::ClientNum]); 
			TopPrint(2048, "Elevator Accident #" @ $Kills::Crush[$KpackCount::ClientNum]);
 			}
     		KpackCount::Update();
    		}
if (String::findSubStr(%msg, $PCFG::Name @ " gets pancaked.") != -1)
     		{
     		$Kills::Crush[$KpackCount::ClientNum]++;  
    		if ($Crushtrack == 1 || $Crushtrack == "") 
			{ 
			say(0, "Elevator Accident #" @ $Kills::Crush[$KpackCount::ClientNum]); 
			TopPrint(2048, "Elevator Accident #" @ $Kills::Crush[$KpackCount::ClientNum]);
 			}
     		KpackCount::Update();
    		}
if (String::findSubStr(%msg, $PCFG::Name @ " feels the squeeze.") != -1)
     		{
     		$Kills::Crush[$KpackCount::ClientNum]++;  
    		if ($Crushtrack == 1 || $Crushtrack == "") 
			{ 
			say(0, "Elevator Accident #" @ $Kills::Crush[$KpackCount::ClientNum]); 
			TopPrint(2048, "Elevator Accident #" @ $Kills::Crush[$KpackCount::ClientNum]);
 			}
     		KpackCount::Update();
    		}
	}


function MissileTronics(%client, %msg) 
	{
	
	if(%client != 0) return; 
	if ($PCFG::Gender == "FEMALE") 
		{ 
		$TEMP::Gender = "her"; 
		}
   	else 	
		{ 
		$TEMP::Gender = "his"; 
		}
if (String::findSubStr(%msg, " gets keister-rootered from " @ $PCFG::Name @ "'s rocket.") != -1)
     		{
     		$Kills::Missile[$KpackCount::ClientNum]++;  
    		if ($Missiletrack == 1 || $Missiletrack == "") 
			{ 
			say::public(tauntDance, "*{H}* Missile #" @ $Kills::Missile[$KpackCount::ClientNum]); 
			TopPrint(2048, "Missile Victim #" @ $Kills::Missile[$KpackCount::ClientNum]);
 			}
     		KpackCount::Update();
    		}
if (String::findSubStr(%msg, " gets a rocket in his pocket from " @ $PCFG::Name @ ".") != -1)
     		{
     		$Kills::Missile[$KpackCount::ClientNum]++;  
    		if ($Missiletrack == 1 || $Missiletrack == "") 
			{ 
			say::public(tauntDance, "*{H}* Missile #" @ $Kills::Missile[$KpackCount::ClientNum]); 
			TopPrint(2048, "Missile Victim #" @ $Kills::Missile[$KpackCount::ClientNum]);
 			}
     		KpackCount::Update();
    		}
if (String::findSubStr(%msg, " gets " @ $PCFG::Name @ "'s rocket in his socket.") != -1)
     		{
     		$Kills::Missile[$KpackCount::ClientNum]++;  
    		if ($Missiletrack == 1 || $Missiletrack == "") 
			{ 
			say::public(tauntDance, "*{H}* Missile #" @ $Kills::Missile[$KpackCount::ClientNum]); 
			TopPrint(2048, "Missile Victim #" @ $Kills::Missile[$KpackCount::ClientNum]);
 			}
     		KpackCount::Update();
    		}
if (String::findSubStr(%msg, " feels the burn of " @ $PCFG::Name @ "'s fireworks.") != -1)
     		{
     		$Kills::Missile[$KpackCount::ClientNum]++;  
    		if ($Missiletrack == 1 || $Missiletrack == "") 
			{ 
			say::public(tauntDance, "*{H}* Missile #" @ $Kills::Missile[$KpackCount::ClientNum]); 
			TopPrint(2048, "Missile Victim #" @ $Kills::Missile[$KpackCount::ClientNum]);
 			}
     		KpackCount::Update();
    		}
	}


function SniperTronics(%client, %msg) 
	{
	
	if(%client != 0) return; 
	if ($PCFG::Gender == "FEMALE") 
		{ 
		$TEMP::Gender = "her"; 
		}
   	else 	
		{ 
		$TEMP::Gender = "his"; 
		}
if (String::findSubStr(%msg, $PCFG::Name @ " snipes ") != -1 && String::findSubStr(%msg, " from behind the grassy knoll.") != -1)
     		{
     		$Kills::Sniper[$KpackCount::ClientNum]++;  
    		if ($Snipertrack == 1 || $Snipertrack == "") 
			{ 
			say::public(tauntDance, "*{H}* Sniper #" @ $Kills::Sniper[$KpackCount::ClientNum]); 
			TopPrint(2048, "Sniper Victim #" @ $Kills::Sniper[$KpackCount::ClientNum]);
 			}
     		KpackCount::Update();
    		}
if (String::findSubStr(%msg, $PCFG::Name @ " caps ") != -1 && String::findSubStr(%msg, " with a sniper round.") != -1)
     		{
     		$Kills::Sniper[$KpackCount::ClientNum]++;  
    		if ($Snipertrack == 1 || $Snipertrack == "") 
			{ 
			say::public(tauntComeGetSome, "*{H}* Sniper #" @ $Kills::Sniper[$KpackCount::ClientNum]); 
			TopPrint(2048, "Sniper Victim #" @ $Kills::Sniper[$KpackCount::ClientNum]);
 			}
     		KpackCount::Update();
    		}
if (String::findSubStr(%msg, $PCFG::Name @ " rubs ") != -1 && String::findSubStr(%msg, " out with a sniper round.") != -1)
     		{
     		$Kills::Sniper[$KpackCount::ClientNum]++;  
    		if ($Snipertrack == 1 || $Snipertrack == "") 
			{ 
			say::public(tauntHowdThatFeel, "*{H}* Sniper #" @ $Kills::Sniper[$KpackCount::ClientNum]); 
			TopPrint(2048, "Sniper Victim #" @ $Kills::Sniper[$KpackCount::ClientNum]);
 			}
     		KpackCount::Update();
    		}
if (String::findSubStr(%msg, $PCFG::Name @ " hits ") != -1 && String::findSubStr(%msg, "'s vitals with a sniper round.") != -1)
     		{
     		$Kills::Sniper[$KpackCount::ClientNum]++;  
    		if ($Snipertrack == 1 || $Snipertrack == "") 
			{ 
			say::public(tauntComeGetSome, "*{H}* Sniper #" @ $Kills::Sniper[$KpackCount::ClientNum]); 
			TopPrint(2048, "Sniper Victim #" @ $Kills::Sniper[$KpackCount::ClientNum]);
 			}
     		KpackCount::Update();
    		}
	}


function BoomStickTronics(%client, %msg) 
	{
	
	if(%client != 0) return; 
	if ($PCFG::Gender == "FEMALE") 
		{ 
		$TEMP::Gender = "her"; 
		}
   	else 	
		{ 
		$TEMP::Gender = "his"; 
		}
if (String::findSubStr(%msg, $PCFG::Name @ " fills ") != -1 && String::findSubStr(%msg, " full of pellets.")!= -1)
     		{
     		$Kills::BoomStick[$KpackCount::ClientNum]++;  
    		if ($BoomSticktrack == 1 || $BoomSticktrack == "") 
			{ 
			say::public(tauntComeGetSome, "*{H}* BoomStick #" @ $Kills::BoomStick[$KpackCount::ClientNum]); 
			TopPrint(2048, "BoomStick Victim #" @ $Kills::BoomStick[$KpackCount::ClientNum]);
 			}
     		KpackCount::Update();
    		}
if (String::findSubStr(%msg, " gets buck-shot by " @ $PCFG::Name @ ".") != -1)
     		{
     		$Kills::BoomStick[$KpackCount::ClientNum]++;  
    		if ($BoomSticktrack == 1 || $BoomSticktrack == "") 
			{ 
			say::public(tauntComeGetSome, "*{H}* BoomStick #" @ $Kills::BoomStick[$KpackCount::ClientNum]); 
			TopPrint(2048, "BoomStick Victim #" @ $Kills::BoomStick[$KpackCount::ClientNum]);
 			}
     		KpackCount::Update();
    		}
if (String::findSubStr(%msg, " gets a 12guage enema from " @ $PCFG::Name @ ".") != -1)
     		{
     		$Kills::BoomStick[$KpackCount::ClientNum]++;  
    		if ($BoomSticktrack == 1 || $BoomSticktrack == "") 
			{ 
			say::public(tauntComeGetSome, "*{H}* BoomStick #" @ $Kills::BoomStick[$KpackCount::ClientNum]); 
			TopPrint(2048, "BoomStick Victim #" @ $Kills::BoomStick[$KpackCount::ClientNum]);
 			}
     		KpackCount::Update();
    		}
if (String::findSubStr(%msg, "gets a real blast from " @ $PCFG::Name @ ".") != -1)
     		{
     		$Kills::BoomStick[$KpackCount::ClientNum]++;  
    		if ($BoomSticktrack == 1 || $BoomSticktrack == "") 
			{ 
			say::public(tauntComeGetSome, "*{H}* BoomStick #" @ $Kills::BoomStick[$KpackCount::ClientNum]); 
			TopPrint(2048, "BoomStick Victim #" @ $Kills::BoomStick[$KpackCount::ClientNum]);
 			}
     		KpackCount::Update();
    		}
	}


function FlashTronics(%client, %msg) 
	{
	
	if(%client != 0) return; 
	if ($PCFG::Gender == "FEMALE") 
		{ 
		$TEMP::Gender = "her"; 
		}
   	else 	
		{ 
		$TEMP::Gender = "his"; 
		}
if (String::findSubStr(%msg, " was EMPed to death by " @ $PCFG::Name @ ".") != -1)
     		{
     		$Kills::Flash[$KpackCount::ClientNum]++;  
    		if ($Flashtrack == 1 || $Flashtrack == "") 
			{ 
			say::public(tauntComeGetSome, "*{H}* Flash #" @ $Kills::Flash[$KpackCount::ClientNum]); 
			TopPrint(2048, "Flash Victim #" @ $Kills::Flash[$KpackCount::ClientNum]);
 			}
     		KpackCount::Update();
    		}
if (String::findSubStr(%msg, " gets drained by " @ $PCFG::Name @ ".") != -1)
     		{
     		$Kills::Flash[$KpackCount::ClientNum]++;  
    		if ($Flashtrack == 1 || $Flashtrack == "") 
			{
			say::public(tauntComeGetSome, "*{H}* Flash #" @ $Kills::Flash[$KpackCount::ClientNum]); 
			TopPrint(2048, "Flash Victim #" @ $Kills::Flash[$KpackCount::ClientNum]);
 			}
     		KpackCount::Update();
    		}
//******************************************************Sounds odd
if (String::findSubStr(%msg, $PCFG::Name @ " cooks ") != -1 && String::findSubStr(%msg, " extra-crispy.")!= -1)
     		{
     		$Kills::Flash[$KpackCount::ClientNum]++;  
    		if ($Flashtrack == 1 || $Flashtrack == "") 
			{ 
			say::public(tauntHowdThatFeel, "*{H}* Flash #" @ $Kills::Flash[$KpackCount::ClientNum]); 
			TopPrint(2048, "Flash Victim #" @ $Kills::Flash[$KpackCount::ClientNum]);
 			}
     		KpackCount::Update();
    		}
if (String::findSubStr(%msg, " gets sucked dry by " @ $PCFG::Name @ ".") != -1)
     		{
     		$Kills::Flash[$KpackCount::ClientNum]++;  
    		if ($Flashtrack == 1 || $Flashtrack == "") 
			{ 
			say::public(tauntHowdThatFeel, "*{H}* Flash #" @ $Kills::Flash[$KpackCount::ClientNum]); 
			TopPrint(2048, "Flash Victim #" @ $Kills::Flash[$KpackCount::ClientNum]);
 			}
     		KpackCount::Update();
    		}
	}


function NukeTronics(%client, %msg) 
	{
	
	if(%client != 0) return; 
	if ($PCFG::Gender == "FEMALE") 
		{ 
		$TEMP::Gender = "her"; 
		}
   	else 	
		{ 
		$TEMP::Gender = "his"; 
		}
if (String::findSubStr(%msg, "was cooked to well-done by " @ $PCFG::Name @ ".") != -1)
     		{
     		$Kills::Nuke[$KpackCount::ClientNum]++;  
    		if ($Nuketrack == 1 || $Nuketrack == "") 
			{ 
			say::public(tauntHowdThatFeel, "*{H}* Nuke/MDM #" @ $Kills::Nuke[$KpackCount::ClientNum]); 
			TopPrint(2048, "Nuke/MDM Victim #" @ $Kills::Nuke[$KpackCount::ClientNum]);
 			}
     		KpackCount::Update();
    		}
if (String::findSubStr(%msg, " was toasted by " @ $PCFG::Name @ ".") != -1)
     		{
     		$Kills::Nuke[$KpackCount::ClientNum]++;  
    		if ($Nuketrack == 1 || $Nuketrack == "") 
			{ 
			say::public(tauntHowdThatFeel, "*{H}* Nuke/MDM #" @ $Kills::Nuke[$KpackCount::ClientNum]); 
			TopPrint(2048, "Nuke/MDM Victim #" @ $Kills::Nuke[$KpackCount::ClientNum]);
 			}
     		KpackCount::Update();
    		}
if (String::findSubStr(%msg, " was incinerated by " @ $PCFG::Name @ "'s nuclear blast..") != -1)
     		{
     		$Kills::Nuke[$KpackCount::ClientNum]++;  
    		if ($Nuketrack == 1 || $Nuketrack == "") 
			{ 
			say::public(tauntHowdThatFeel, "*{H}* Nuke/MDM #" @ $Kills::Nuke[$KpackCount::ClientNum]); 
			TopPrint(2048, "Nuke/MDM Victim #" @ $Kills::Nuke[$KpackCount::ClientNum]);
 			}
     		KpackCount::Update();
    		}
if (String::findSubStr(%msg, " was sent to meet his maker by " @ $PCFG::Name @ ".") != -1)
     		{
     		$Kills::Nuke[$KpackCount::ClientNum]++;  
    		if ($Nuketrack == 1 || $Nuketrack == "") 
			{ 
			say::public(tauntHowdThatFeel, "*{H}* Nuke/MDM #" @ $Kills::Nuke[$KpackCount::ClientNum]); 
			TopPrint(2048, "Nuke/MDM Victim #" @ $Kills::Nuke[$KpackCount::ClientNum]);
 			}
     		KpackCount::Update();
    		}
if (String::findSubStr(%msg, " was sent to meet her maker by " @ $PCFG::Name @ ".") != -1)
     		{
     		$Kills::Nuke[$KpackCount::ClientNum]++;  
    		if ($Nuketrack == 1 || $Nuketrack == "") 
			{ 
			say::public(tauntHowdThatFeel, "*{H}* Nuke/MDM #" @ $Kills::Nuke[$KpackCount::ClientNum]); 
			TopPrint(2048, "Nuke/MDM Victim #" @ $Kills::Nuke[$KpackCount::ClientNum]);
 			}
     		KpackCount::Update();
    		}
	}


function HBlasterTronics(%client, %msg) 
	{
	
	if(%client != 0) return; 
	if ($PCFG::Gender == "FEMALE") 
		{ 
		$TEMP::Gender = "her"; 
		}
   	else 	
		{ 
		$TEMP::Gender = "his"; 
		}
if (String::findSubStr(%msg, " was cut down by " @ $PCFG::Name @ "'s HyperBlaster.") != -1)
     		{
     		$Kills::HBlaster[$KpackCount::ClientNum]++;  
    		if ($HBlastertrack == 1 || $HBlastertrack == "") 
			{ 
			say::public(tauntDance, "*{H}* NewbieBlaster #" @ $Kills::HBlaster[$KpackCount::ClientNum]); 
			TopPrint(2048, "NewbieBlaster Kill #" @ $Kills::HBlaster[$KpackCount::ClientNum]);
 			}
     		KpackCount::Update();
    		}
if (String::findSubStr(%msg, " gets pinned by " @ $PCFG::Name @ "'s HyperBlaster.") != -1)
     		{
     		$Kills::HBlaster[$KpackCount::ClientNum]++;  
    		if ($HBlastertrack == 1 || $HBlastertrack == "") 
			{ 
			say::public(tauntDance, "*{H}* NewbieBlaster #" @ $Kills::HBlaster[$KpackCount::ClientNum]); 
			TopPrint(2048, "HyperBlaster Kill #" @ $Kills::HBlaster[$KpackCount::ClientNum]);
 			}
     		KpackCount::Update();
    		}
if (String::findSubStr(%msg, " takes some puny bolts from " @ $PCFG::Name @ "'s HyperBlaster.") != -1)
     		{
     		$Kills::HBlaster[$KpackCount::ClientNum]++;  
    		if ($HBlastertrack == 1 || $HBlastertrack == "") 
			{ 
			say::public(tauntDance, "*{H}* NewbieBlaster #" @ $Kills::HBlaster[$KpackCount::ClientNum]); 
			TopPrint(2048, "HyperBlaster Kill #" @ $Kills::HBlaster[$KpackCount::ClientNum]);
 			}
     		KpackCount::Update();
    		}


if (String::findSubStr(%msg, " was sent to meet his maker by " @ $PCFG::Name @ "'s HyperBlaster.") != -1)
     		{
     		$Kills::HBlaster[$KpackCount::ClientNum]++;  
    		if ($HBlastertrack == 1 || $HBlastertrack == "") 
			{ 
			say::public(tauntDance, "*{H}* NewbieBlaster #" @ $Kills::HBlaster[$KpackCount::ClientNum]); 
			TopPrint(2048, "[})ragon HyperBlaster #" @ $Kills::HBlaster[$KpackCount::ClientNum]);
 			}
     		KpackCount::Update();
    		}

if (String::findSubStr(%msg, " was sent to meet her maker by " @ $PCFG::Name @ "'s HyperBlaster.") != -1)
     		{
     		$Kills::HBlaster[$KpackCount::ClientNum]++;  
    		if ($HBlastertrack == 1 || $HBlastertrack == "") 
			{ 
			say::public(tauntDance, "*{H}* NewbieBlaster #" @ $Kills::HBlaster[$KpackCount::ClientNum]); 
			TopPrint(2048, "[})ragon HyperBlaster #" @ $Kills::HBlaster[$KpackCount::ClientNum]);
 			}
     		KpackCount::Update();
    		}

	}


//////  BlasterTRONICS////////////////////

function Blastertronics(%client, %msg) 
	{
	
	if(%client != 0) return; 
	if ($PCFG::Gender == "FEMALE") 
		{ 
		$TEMP::Gender = "her"; 
		}
   	else 	
		{ 
		$TEMP::Gender = "his"; 
		}


  	if (String::findSubStr(%msg, $PCFG::Name @ "'s roasts ") != -1 && String::findSubStr(%msg, " like a stuffed pig.")!= -1)
     		{
     		$Kills::Blaster[$KpackCount::ClientNum]++;  
    		if ($BlasterTrack == 1 || $BlasterTrack == "") 
			{ 
			say::public(tauntDance, "*{H}* Blaster #" @ $Kills::Blaster[$KpackCount::ClientNum]); 
			TopPrint(2048, "[})ragon Blaster Victim #" @ $Kills::Blaster[$KpackCount::ClientNum]);
 			}
     		KpackCount::Update();
    		}

  	if (String::findSubStr(%msg, " succumbs to " @ $PCFG::Name) != -1 && String::findSubStr(%msg, "'s rain of blaster fire.") != -1)
    		{
     		$Kills::Blaster[$KpackCount::ClientNum]++;  
   		if ($BlasterTrack == 1 || $BlasterTrack == "") 
			{ 
			say::public(tauntDance, "*{H}* Blaster #" @ $Kills::Blaster[$KpackCount::ClientNum]); 
			TopPrint(2048, "[})ragon Blaster Victim #" @ $Kills::Blaster[$KpackCount::ClientNum]);
			}
     		KpackCount::Update();
    		}

	if (String::findSubStr(%msg, " meets " @ $PCFG::Name) != -1 && String::findSubStr(%msg, "'s master blaster") != -1)
		{
		$Kills::Blaster[$KpackCount::ClientNum]++;  
		if ($BlasterTrack == 1 || $BlasterTrack == "") 
			{
 			say::public(tauntDance, "*{H}* Blaster #" @ $Kills::Blaster[$KpackCount::ClientNum]); 
			TopPrint(2048, "[})ragon Blaster Victim #" @ $Kills::Blaster[$KpackCount::ClientNum]);
 			}
     		KpackCount::Update();
  		}

	if (String::findSubStr(%msg, " gets a blast out of " @ $PCFG::Name @ ".") != -1)
    		{
     		$Kills::Blaster[$KpackCount::ClientNum]++;  
   		if ($BlasterTrack == 1 || $BlasterTrack == "") 
			{ 
			say::public(tauntDance, "*{H}* Blaster #" @ $Kills::Blaster[$KpackCount::ClientNum]); 
			TopPrint(2048, "[})ragon Blaster #" @ $Kills::Blaster[$KpackCount::ClientNum]);
			}
     		KpackCount::Update();
    		}
 	}




///////   RETURNTRONICS     //////////////////////////

function ReturnTronics(%client, %msg) 
	{
	
	if(%client != 0) return; 
	if ($PCFG::Gender == "FEMALE") 
		{ 
		$TEMP::Gender = "her"; 
		}
   	else 	
		{ 
		$TEMP::Gender = "his"; 
		}


  	if (String::findSubStr(%msg, " You returned the ") != -1 && String::findSubStr(%msg, " flag!") != -1)
     		{
     		$Kills::Return[$KpackCount::ClientNum]++;  
    		if ($ReturnTrack == 1 || $ReturnTrack == "") 
			{ 
			say::public(flagSecure, "*{H}* Flag Return #" @ $Kills::Return[$KpackCount::ClientNum]); 
			TopPrint(2048, "[})ragon Flag Return #" @ $Kills::Return[$KpackCount::ClientNum]);
 			}
     		KpackCount::Update();
    		}
	}




///////   CAPTURETRONICS     //////////////////////////

function CaptureTronics(%client, %msg) 
	{
	
	if(%client != 0) return; 
	if ($PCFG::Gender == "FEMALE") 
		{ 
		$TEMP::Gender = "her"; 
		}
   	else 	
		{ 
		$TEMP::Gender = "his"; 
		}


  	if (String::findSubStr(%msg, " You captured the ") != -1 && String::findSubStr(%msg, " flag!") != -1)
     		{
     		$Kills::Capture[$KpackCount::ClientNum]++;  
    		if ($CaptureTrack == 1 || $CaptureTrack == "") 
			{ 
			say::public(MissedMe, "*{H}* Capture #" @ $Kills::Capture[$KpackCount::ClientNum]); 
			TopPrint(2048, "[})ragon Capture #" @ $Kills::Capture[$KpackCount::ClientNum]);
 			}
     		KpackCount::Update();
    		}
	}


////////    CONCUSSIONTRONICS    ////////////////////////////////

function ConcussionTronics(%client, %msg) 
	{
	if(%client != 0) return;
	
	
	if(%client != 0) return; 
	if ($PCFG::Gender == "FEMALE") 
		{ 
		$TEMP::Gender = "her"; 
		}
   	else 	
		{ 
		$TEMP::Gender = "his"; 
		}


  	if (String::findSubStr(%msg, $PCFG::Name @ " blows ") != -1 && String::findSubStr(%msg, " up real good.") != -1)
     		{
     		$Kills::Concussion[$KpackCount::ClientNum]++;  
    		if ($ConcussionTrack == 1 || $ConcussionTrack == "") 
			{ 
			say::public(tauntHowdThatFeel, "*{H}* Concussion #" @ $Kills::Concussion[$KpackCount::ClientNum]); 
			TopPrint(2048, "[})ragon Concussion Victim #" @ $Kills::Concussion[$KpackCount::ClientNum]);
 			}
     		KpackCount::Update();
    		}

	if (String::findSubStr(%msg, " smokes " @ $PCFG::Name @ ".") != -1)
     		{
     		$Kills::Concussion[$KpackCount::ClientNum]++;  
    		if ($ConcussionTrack == 1 || $ConcussionTrack == "") 
			{ 
			say::public(tauntDance, "*{H}* Concussion #" @ $Kills::Concussion[$KpackCount::ClientNum]); 
			TopPrint(2048, "[})ragon Concussion Victim #" @ $Kills::Concussion[$KpackCount::ClientNum]);
 			}
     		KpackCount::Update();
    		}

	if (String::findSubStr(%msg, " gets a taste of " @ $PCFG::Name) != -1 && String::findSubStr(%msg, "'s explosive temper.") != -1)
		{
		$Kills::Concussion[$KpackCount::ClientNum]++;  
		if ($ConcussionTrack == 1 || $ConcussionTrack == "") 
			{
 			say::public(tauntComeGetSome, "*{H}* Concussion #" @ $Kills::Concussion[$KpackCount::ClientNum]); 
			TopPrint(2048, "[})ragon Concussion Victim #" @ $Kills::Concussion[$KpackCount::ClientNum]);
 			}
     		KpackCount::Update();
  		}

	if (String::findSubStr(%msg, " never saw it coming from " @ $PCFG::Name @ ".") != -1)
    		{
     		$Kills::Concussion[$KpackCount::ClientNum]++;  
   		if ($ConcussionTrack == 1 || $ConcussionTrack == "") 
			{ 
			say::public(tauntComeGetSome, "*{H}* Concussion #" @ $Kills::Concussion[$KpackCount::ClientNum]); 
			TopPrint(2048, "[})ragon Concussion #" @ $Kills::Concussion[$KpackCount::ClientNum]);
			}
     		KpackCount::Update();
    		}
 	}

///////    ELFTRONICS    /////////////////////////////

function ElfTronics(%client, %msg) 
	{
	
	if(%client != 0) return; 
	if ($PCFG::Gender == "FEMALE") 
		{ 
		$TEMP::Gender = "her"; 
		}
   	else 	
		{ 
		$TEMP::Gender = "his"; 
		}

  	if (String::findSubStr(%msg, " gets zapped by" @ $PCFG::Name @ ".") != -1)
     		{
     		$Kills::Elf[$KpackCount::ClientNum]++;  
    		if ($ElfTrack == 1 || $ElfTrack == "") 
			{ 
			say::public(tauntHowdThatFeel, "*{H}* Elf #" @ $Kills::Elf[$KpackCount::ClientNum]); 
			TopPrint(2048, "[})ragon Elf/Turret Victim #" @ $Kills::Elf[$KpackCount::ClientNum]);
 			}
     		KpackCount::Update();
    		}

  	if (String::findSubStr(%msg, $PCFG::Name @ " gives ") != -1 && String::findSubStr(%msg, " a nasty jolt.") != -1)
    		{
     		$Kills::Elf[$KpackCount::ClientNum]++;  
   		if ($ElfTrack == 1 || $ElfTrack == "") 
			{ 
			say::public(tauntHowdThatFeel, "*{H}* Elf #" @ $Kills::Elf[$KpackCount::ClientNum]); 
			TopPrint(2048, "[})ragon Elf Victim #" @ $Kills::Elf[$KpackCount::ClientNum]);
			}
     		KpackCount::Update();
    		}

	if (String::findSubStr(%msg, " gets a real shock out of meeting " @ $PCFG::Name @ ".") != -1)
		{
		$Kills::Elf[$KpackCount::ClientNum]++;  
		if ($ElfTrack == 1 || $ElfTrack == "") 
			{
 			say::public(tauntHowdThatFeel, "*{H}* Elf #" @ $Kills::Elf[$KpackCount::ClientNum]); 
			TopPrint(2048, "[})ragon Elf #" @ $Kills::Elf[$KpackCount::ClientNum]);
 			}
     		KpackCount::Update();
  		}

	if (String::findSubStr(%msg, $PCFG::Name @ " short-circuits ") != -1 && String::findSubStr(%msg, "'s systems.") != -1)
     		{
     		$Kills::Elf[$KpackCount::ClientNum]++;  
    		if ($ElfTrack == 1 || $ElfTrack == "") 
			{ 
			say::public(tauntHowdThatFeel, "*{H}* Elf #" @ $Kills::Elf[$KpackCount::ClientNum]); 
			TopPrint(2048, "[})ragon Elf #" @ $Kills::Elf[$KpackCount::ClientNum]);
 			}
     		KpackCount::Update();
    		}
 	}

///  MORTARTRONICS  //////////////////////

function MortarTronics(%client, %msg) 
	{
	
	if(%client != 0) return; 
	if ($PCFG::Gender == "FEMALE") 
		{ 
		$TEMP::Gender = "her"; 
		}
   	else 	
		{ 
		$TEMP::Gender = "his"; 
		}

  	if (String::findSubStr(%msg, $PCFG::Name @ " blows the pilot light out on ") != -1 && String::findSubStr(%msg, "'s stove.") != -1)
     		{
     		$Kills::Mortar[$KpackCount::ClientNum]++;  
    		if ($MortarTrack == 1 || $MortarTrack == "") 
			{ 
			say::public(tauntHowdThatFeel, "*{H}* Mortar #" @ $Kills::Mortar[$KpackCount::ClientNum]); 
			TopPrint(2048, "[})ragon Mortar Victim #" @ $Kills::Mortar[$KpackCount::ClientNum]);
 			}
     		KpackCount::Update();
    		}

  	if (String::findSubStr(%msg, $PCFG::Name @ "'s mortar rearranges ") != -1 && String::findSubStr(%msg, "'s vital organs.") != -1)
    		{
     		$Kills::Mortar[$KpackCount::ClientNum]++;  
   		if ($MortarTrack == 1 || $MortarTrack == "") 
			{ 
			say::public(tauntHowdThatFeel, "*{H}* Mortar #" @ $Kills::Mortar[$KpackCount::ClientNum]); 
			TopPrint(2048, "[})ragon Mortar Victim #" @ $Kills::Mortar[$KpackCount::ClientNum]);
			}
     		KpackCount::Update();
    		}

	if (String::findSubStr(%msg, $PCFG::Name @ " inflicts a mortal mortar wound on ") != -1)
		{
		$Kills::Mortar[$KpackCount::ClientNum]++;  
		if ($MortarTrack == 1 || $MortarTrack == "") 
			{
 			say::public(tauntHowdThatFeel, "*{H}* Mortar #" @ $Kills::Mortar[$KpackCount::ClientNum]); 
			TopPrint(2048, "[})ragon Mortar Victim #" @ $Kills::Mortar[$KpackCount::ClientNum]);
 			}
     		KpackCount::Update();
  		}

	if (String::findSubStr(%msg, $PCFG::Name @ "'s mortar takes out ") != -1)
		{
		$Kills::Mortar[$KpackCount::ClientNum]++;  
		if ($MortarTrack == 1 || $MortarTrack == "") 
			{ 
			say::public(tauntHowdThatFeel, "*{H}* Mortar #" @ $Kills::Mortar[$KpackCount::ClientNum]); 
			TopPrint(2048, "[})ragon Mortar #" @ $Kills::Mortar[$KpackCount::ClientNum]);
			}
		KpackCount::Update();
		}
 	}

/////  PLASMATRONICS ////////////////////////////

function PlasmaTronics(%client, %msg) 
	{
	
	if(%client != 0) return; 
	if ($PCFG::Gender == "FEMALE") 
		{ 
		$TEMP::Gender = "her"; 
		}
   	else 	
		{ 
		$TEMP::Gender = "his"; 
		}

  	if (String::findSubStr(%msg, $PCFG::Name @ " gives ") != -1 && String::findSubStr(%msg, " a white-hot plasma injection.") != -1)
     		{
     		$Kills::Plasma[$KpackCount::ClientNum]++;  
    		if ($PlasmaTrack == 1 || $PlasmaTrack == "") 
			{ 
			say::public(tauntHowdThatFeel, "*{H}* Plasma #" @ $Kills::Plasma[$KpackCount::ClientNum]); 
			TopPrint(2048, "[})ragon Plasma Victim #" @ $Kills::Plasma[$KpackCount::ClientNum]);
 			}
     		KpackCount::Update();
    		}

  	if (String::findSubStr(%msg, $PCFG::Name @ " gives") != -1 && String::findSubStr(%msg, " a plasma transfusion.") != -1)
     		{
     		$Kills::Plasma[$KpackCount::ClientNum]++;  
    		if ($PlasmaTrack == 1 || $PlasmaTrack == "") 
			{ 
			say::public(tauntHowdThatFeel, "*{H}* Plasma #" @ $Kills::Plasma[$KpackCount::ClientNum]); 
			TopPrint(2048, "[})ragon Plasma Victim #" @ $Kills::Plasma[$KpackCount::ClientNum]);
 			}
     		KpackCount::Update();
    		}

	if (String::findSubStr(%msg, " feels the warm glow of " @ $PCFG::Name) != -1 && String::findSubStr(%msg, "'s plasma.") != -1)
		{
		$Kills::Plasma[$KpackCount::ClientNum]++;  
		if ($PlasmaTrack == 1 || $PlasmaTrack == "") 
			{
 			say::public(tauntHowdThatFeel, "*{H}* Plasma #" @ $Kills::Plasma[$KpackCount::ClientNum]); 
			TopPrint(2048, "[})ragon Plasma Victim #" @ $Kills::Plasma[$KpackCount::ClientNum]);
 			}
     		KpackCount::Update();
  		}

	if (String::findSubStr(%msg, $PCFG::Name @ " asks") != -1 && String::findSubStr(%msg, ", 'Got plasma?'") != -1)
		{
		$Kills::Plasma[$KpackCount::ClientNum]++;  
		if ($PlasmaTrack == 1 || $PlasmaTrack == "") 
			{ 
			say::public(tauntHowdThatFeel, "*{H}* Plasma #" @ $Kills::Plasma[$KpackCount::ClientNum]); 
			TopPrint(2048, "[})ragon Plasma #" @ $Kills::Plasma[$KpackCount::ClientNum]);
			}
		KpackCount::Update();
		}
 	}

///////   LASERTRONICS   //////////////////////////////

function laserTronics(%client, %msg) 
	{
	
	if(%client != 0) return; 
	if ($PCFG::Gender == "FEMALE") 
		{ 
		$TEMP::Gender = "her"; 
		}
   	else 	
		{ 
		$TEMP::Gender = "his"; 
		}

        if (String::findSubStr(%msg, $PCFG::Name @ " pierces ") != -1 && String::findSubStr(%msg, "'s brain.") != -1)
     		{
     		$Kills::laser[$KpackCount::ClientNum]++;  
    		if ($laserTrack == 1 || $laserTrack == "") 
			{
			say::public(tauntHowdThatFeel, "*{H}* Laser #" @ $Kills::Laser[$KpackCount::ClientNum]); 
			TopPrint(2048, "[})ragon Laser Victim #" @ $Kills::Laser[$KpackCount::ClientNum]);
 			}
     		KpackCount::Update();
    		}

  	if (String::findSubStr(%msg, "'s shirts is all bloody now thanks to " @ $PCFG::Name) != -1)
    		{
     		$Kills::Laser[$KpackCount::ClientNum]++;  
   		if ($LaserTrack == 1 || $LaserTrack == "") 
			{
			say::public(tauntHowdThatFeel, "*{H}* Laser #" @ $Kills::Laser[$KpackCount::ClientNum]); 
			TopPrint(2048, "[})ragon Laser #" @ $Kills::Laser[$KpackCount::ClientNum]);
			}
     		KpackCount::Update();
    		}

	if (String::findSubStr(%msg, $PCFG::Name @ " pops ") != -1 && String::findSubStr(%msg, "'s head like a zit.") != -1)
		{
		$Kills::Laser[$KpackCount::ClientNum]++;  
		if ($LaserTrack == 1 || $LaserTrack == "") 
			{
			say::public(tauntHowdThatFeel, "*{H}* Laser #" @ $Kills::Laser[$KpackCount::ClientNum]); 
			TopPrint(2048, "[})ragon Laser Victim #" @ $Kills::Laser[$KpackCount::ClientNum]);
 			}
     		KpackCount::Update();
  		}

	if (String::findSubStr(%msg, $PCFG::Name @ "'s bullet had ") != -1 && String::findSubStr(%msg, "'s name on it.") != -1)
		{
		$Kills::Laser[$KpackCount::ClientNum]++;  
		if ($LaserTrack == 1 || $LaserTrack == "") 
			{ 
			say::public(tauntHowdThatFeel, "*{H}* Laser #" @ $Kills::Laser[$KpackCount::ClientNum]); 
			TopPrint(2048, "[})ragon Laser #" @ $Kills::Laser[$KpackCount::ClientNum]);
			}
		KpackCount::Update();
		}
 	}

/////   SUICIDETRONICS  ///////////////////////////////

function SuicideTronics(%client, %msg) 
	{
	
	if(%client != 0) return; 
	if ($PCFG::Gender == "FEMALE") 
		{ 
		$TEMP::Gender = "her"; 
		}
   	else 	
		{ 
		$TEMP::Gender = "his"; 
		}

  	if (String::findSubStr(%msg, $PCFG::Name @ " checks out before paying " @ $TEMP::Gender @ " bill.") != -1)
     		{
     		$Kills::Suicide[$KpackCount::ClientNum]++;  
    		if ($SuicideTrack == 1 || $SuicideTrack == "") 
			{ 
			say::public(yellDammit, "*{H}* Suicide #" @ $Kills::Suicide[$KpackCount::ClientNum]); 
			TopPrint(2048, "[})ragon Suicide #" @ $Kills::Suicide[$KpackCount::ClientNum]);
 			}
     		KpackCount::Update();
    		}

  	if (String::findSubStr(%msg, $PCFG::Name @ " cashes in " @ $TEMP::Gender @ " chips early.") != -1)
    		{
     		$Kills::Suicide[$KpackCount::ClientNum]++;  
   		if ($SuicideTrack == 1 || $SuicideTrack == "") 
			{ 
			say::public(yellArgh, "*{H}* Suicide #" @ $Kills::Suicide[$KpackCount::ClientNum]); 
			TopPrint(2048, "[})ragon Suicide #" @ $Kills::Suicide[$KpackCount::ClientNum]);
			}
     		KpackCount::Update();
    		}

	if (String::findSubStr(%msg, $PCFG::Name @ " punches " @ $TEMP::Gender @ " own ticket.") != -1)
		{
		$Kills::Suicide[$KpackCount::ClientNum]++;  
		if ($SuicideTrack == 1 || $SuicideTrack == "") 
			{
 			say::public(yellShazbot, "*{H}* Suicide #" @ $Kills::Suicide[$KpackCount::ClientNum]); 
			TopPrint(2048, "[})ragon Suicide #" @ $Kills::Suicide[$KpackCount::ClientNum]);
 			}
     		KpackCount::Update();
  		}

	if (String::findSubStr(%msg, $PCFG::Name @ " kisses " @ $TEMP::Gender @ " own keister g'bye.") != -1)
     		{
		$Kills::Suicide[$KpackCount::ClientNum]++;  
		if ($SuicideTrack == 1 || $SuicideTrack == "") 
			{ 
			say::public(yellCrap, "*{H}* Suicide #" @ $Kills::Suicide[$KpackCount::ClientNum]); 
			TopPrint(2048, "[})ragon Suicide #" @ $Kills::Suicide[$KpackCount::ClientNum]);
			}
		KpackCount::Update();
		}
 	}

////////  TEAMMATETRONICS  ///////////////////////////

function TeammateTronics(%client, %msg) 
	{
	if (String::findSubStr(%msg, " mows down his" ) != -1 && String::findSubStr(%msg, " teammate, " @ $PCFG::Name) != -1)
		{
		$Kills::Teammate[$KpackCount::ClientNum]++;  
		if ($TeammateTrack == 1 || $TeammateTrack == "") 
			{
			say(0, "Hey TeamKiller, Don't like it! -- Been TeamKilled #" @ $Kills::Teammate[$KpackCount::ClientNum] @ " times.");
			TopPrint(2048, "Been TeamKilled #" @ $Kills::Teammate[$KpackCount::ClientNum] @ " times.");
			}
		KpackCount::Update();
		}

	if (String::findSubStr(%msg, " killed his") != -1 && String::findSubStr(%msg, " teammate, " @ $PCFG::Name) != -1 && String::findSubStr(%msg, " with a mine.") != -1)
		{
		$Kills::Teammate[$KpackCount::ClientNum]++;  
		if ($TeammateTrack == 1 || $TeammateTrack == "") 
			{
			say(0, "Teammate MURDER!, Shoot the RED Targets! -- Been TeamKilled #" @ $Kills::Teammate[$KpackCount::ClientNum] @ " times.");
			TopPrint(2048, "Been TeamKilled #" @ $Kills::Teammate[$KpackCount::ClientNum] @ " times.");
			}
		KpackCount::Update();
		}
	if (String::findSubStr(%msg, " mows down her" ) != -1 && String::findSubStr(%msg, " teammate, " @ $PCFG::Name) != -1)
		{
		$Kills::Teammate[$KpackCount::ClientNum]++;  
		if ($TeammateTrack == 1 || $TeammateTrack == "") 
			{
			say(0, "Hey TeamKiller, Don't mess with me! -- Been TeamKilled #" @ $Kills::Teammate[$KpackCount::ClientNum] @ " times.");
			TopPrint(2048, "Been TeamKilled #" @ $Kills::Teammate[$KpackCount::ClientNum] @ " times.");
			}
		KpackCount::Update();
		}

	if (String::findSubStr(%msg, " killed her") != -1 && String::findSubStr(%msg, " teammate, " @ $PCFG::Name) != -1 && String::findSubStr(%msg, " with a mine.") != -1)
		{
		$Kills::Teammate[$KpackCount::ClientNum]++;  
		if ($TeammateTrack == 1 || $TeammateTrack == "") 
			{
			say(0, "Hey TeamKiller, you've had one to many! -- Been TeamKilled #" @ $Kills::Teammate[$KpackCount::ClientNum] @ " Times.");
			TopPrint(2048, "Been TeamKilled #" @ $Kills::Teammate[$KpackCount::ClientNum] @ " times.");
			}
		KpackCount::Update();
		}
 	}

////////  TKedTRONICS  ///////////////////////////

function TKedTronics(%client, %msg) 
	{
	
	if(%client != 0) return; 
	if ($PCFG::Gender == "FEMALE") 
		{ 
		$TEMP::Gender = "her"; 
		}
   	else 	
		{ 
		$TEMP::Gender = "his"; 
		}


	if (String::findSubStr(%msg, $PCFG::Name @ " mows down " @ $TEMP::Gender ) != -1 && String::findSubStr(%msg, " teammate,") != -1)
		{
		$Kills::Teammate[$KpackCount::ClientNum]++;  
		if ($TeammateTrack == 1 || $TeammateTrack == "") 
			{
			say::public(saySorry, "Teammate MURDER #" @ $Kills::Teammate[$KpackCount::ClientNum]); 
			TopPrint(2048, "Teammate MURDER #" @ $Kills::Teammate[$KpackCount::ClientNum]);
			}
		KpackCount::Update();
		}

	if (String::findSubStr(%msg, $PCFG::Name @ " killed " @ $TEMP::Gender) != -1 && String::findSubStr(%msg, " teammate,") != -1 && String::findSubStr(%msg, " with a mine.") != -1)
		{
		$Kills::Teammate[$KpackCount::ClientNum]++;  
		if ($TeammateTrack == 1 || $TeammateTrack == "") 
			{
			say::public(saySorry, "Teammate MURDER #" @ $Kills::Teammate[$KpackCount::ClientNum]); 
			TopPrint(2048, "Teammate MURDER #" @ $Kills::Teammate[$KpackCount::ClientNum]);
			}
		KpackCount::Update();
		}
 	}

function KpackTrack()
{

  if($Status != "false")
	{
     $Status = false;
	$BlasterTrack = 0; 
	$ChainTrack = 0;
	$CaptureTrack = 0;
	$ConcussionTrack = 0; 
	$DiscTrack = 0;
	$ElfTrack = 0; 
	$MortarTrack = 0; 
	$PlasmaTrack = 0; 
	$LaserTrack = 0; 
	$SuicideTrack = 0; 
	$TeammateTrack = 0;
	$VehicleTrack = 0;
	$ReturnTrack = 0;
	$Impacttrack = 0;
	$Bullettrack = 0;
	$Explosiontrack = 0;
	$Crushtrack = 0;
	$Missiletrack = 0;
	$Snipertrack = 0;
	$BoomSticktrack = 0;
	$Flashtrack = 0;
	$Nuketrack = 0;
	$HBlastertrack = 0;
	Event::Detach(eventConnected, kpack);	
     remotecp(2048, "<jc><f1>KillTracking is: <f2>OFF!", 3);
   }

     else
   {
     $Status = true;
	$BlasterTrack = 1;
	$ChainTrack = 0;
	$CaptureTrack = 1; 
	$ConcussionTrack = 1; 
	$DiscTrack = 1;
	$ElfTrack = 1; 
	$MortarTrack = 1; 
	$PlasmaTrack = 1; 
	$LaserTrack = 1; 
	$SuicideTrack = 1; 
	$TeammateTrack = 1;
	$VehicleTrack = 1; 
	$ReturnTrack = 1;
	$Impacttrack = 1;
	$Bullettrack = 1;
	$Explosiontrack = 1;
	$Crushtrack = 1;
	$Missiletrack = 1;
	$Snipertrack = 1;
	$BoomSticktrack = 1;
	$Flashtrack = 1;
	$Nuketrack = 1;
	$HBlastertrack = 1;
	kp::attach();
     remotecp(2048, "<jc><f1>KillTracking is: <f2>ON!", 3);
   }
}

function kp::attach()
{
Event::Attach(eventConnected, KpackCount::ReadFile, kpack);
Event::Attach(eventClientMessage, BlasterTronics, kpack);
Event::Attach(eventClientMessage, CaptureTronics, kpack);
Event::Attach(eventClientMessage, ConcussionTronics, kpack);
//Event::Attach(eventClientMessage, DiscTronics, kpack);
Event::Attach(eventClientMessage, ElfTronics, kpack);
Event::Attach(eventClientMessage, PlasmaTronics, kpack);
Event::Attach(eventClientMessage, MortarTronics, kpack);
Event::Attach(eventClientMessage, LaserTronics, kpack);
//Event::Attach(eventClientMessage, VehicleTronics, kpack);
Event::Attach(eventClientMessage, TeammateTronics, kpack);
Event::Attach(eventClientMessage, SuicideTronics, kpack);
Event::Attach(eventClientMessage, ReturnTronics, kpack);
Event::Attach(eventClientMessage, ImpactTronics, kpack);
Event::Attach(eventClientMessage, BulletTronics, kpack);
Event::Attach(eventClientMessage, ExplosionTronics, kpack);
Event::Attach(eventClientMessage, CrushTronics, kpack);
Event::Attach(eventClientMessage, MissileTronics, kpack);
Event::Attach(eventClientMessage, SniperTronics, kpack);
Event::Attach(eventClientMessage, BoomStickTronics, kpack);
Event::Attach(eventClientMessage, FlashTronics, kpack);
Event::Attach(eventClientMessage, NukeTronics, kpack);
Event::Attach(eventClientMessage, HBlasterTronics, kpack);
Event::Attach(eventClientMessage, TKedTronics, kpack);
}
kp::attach();

NewOpts::register("Shifter Kpack KillTracking", "kp.gui", "", "", TRUE);
